<template>
  <section>
    <h2>Создать новое событие</h2>
    <label class="form-container">
      <input type="text" v-model="event.name" placeholder="Название события"/>
      <textarea rows="6" cols="60" v-model="event.description" placeholder="Описание события"/>
      <input type="text" v-model="event.image_url" placeholder="Ссылка на постер"/>
      <VueCtkDateTimePicker format="YYYY-MM-DD HH:mm:00" label="Выберите дату и время" :dark="true" v-model="event.start" :first-day-of-week="1"/>
      <input type="text" style="align-self: flex-start" v-model="event.latitude" placeholder="Широта"/>
      <input type="text" style="align-self: flex-start" v-model="event.longitude" placeholder="Долгота"/>
      <button @click="submit" style="align-self: flex-start">Создать</button>
    </label>
  </section>
</template>

<script>
  import VueCtkDateTimePicker from 'vue-ctk-date-time-picker';
  import 'vue-ctk-date-time-picker/dist/vue-ctk-date-time-picker.css';
  import axios from 'axios';
  export default {
    name: "EventCreator",
    components: {
      VueCtkDateTimePicker
    },
    data() {
      return {
        event: null
      }
    },
    created () {
      this.clear();
    },
    methods: {
      clear() {
        this.event = {
          name: "",
          description: "",
          image_url: "",
          start: null,
          latitude: null,
          longitude: null
        }
      },
      submit() {
        let hostname = this.$hostname;
        this.event.latitude = parseFloat(this.event.latitude);
        this.event.longitude = parseFloat(this.event.longitude);
        axios.post(`${hostname}/api/event/`, this.event).then((response) => {
          console.log(response.data);
          this.clear();
        }).catch((error) => {
          console.error(error);
        })
      }
    }
  }
</script>

<style scoped>
input[type="text"], button {
  height: 28px;
}

textarea {
  height: unset;
}

.form-container {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  align-items: stretch;
  justify-content: center;

  width: 100%;
  max-width: 600px;
}

.form-container > * {
  margin-top: 4px;
}
</style>
